## mdp-src 1.0.4

=== Makefile ===
#
# Makefile
# Copyright (C) 2015 Michael Goehler
#
# This file is part of mdp.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

UNAME_S := $(shell uname -s 2>/dev/null || echo not)

SOURCES = $(wildcard src/*.c)
OBJECTS = $(SOURCES:.c=.o)
TARGET  = mdp
DESTDIR =
PREFIX  ?= /usr/local

CURSES  = ncursesw
LDFLAGS ?= -s

ifeq (Windows_NT,$(OS))
	ifeq (,$(findstring CYGWIN,$(UNAME_S)))
		CURSES := pdcurses
	endif
endif

ifeq ($(UNAME_S),Darwin)
	CURSES := ncurses
	LDFLAGS :=
endif

ifeq ($(DEBUG),1)
	LDFLAGS :=
endif

LDLIBS   = -l$(CURSES)

all: $(TARGET)

$(TARGET): src
	$(CC) $(OBJECTS) $(LDLIBS) $(LDFLAGS) -o $(TARGET)

src:
	$(MAKE) $(MFLAGS) -C src

clean:
	$(MAKE) -C src clean
	$(RM) $(TARGET)

install:
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin/$(TARGET)
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 mdp.1 $(DESTDIR)$(PREFIX)/share/man/man1/$(TARGET).1

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/$(TARGET)

.PHONY: all clean install src uninstall

=== src/Makefile ===
#
# Makefile
# Copyright (C) 2015 Michael Goehler
#
# This file is part of mdp.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

UNAME_S := $(shell uname -s 2>/dev/null || echo not)

SOURCES  = $(wildcard *.c)
OBJECTS  = $(SOURCES:.c=.o)
CFLAGS   ?= -O3
CFLAGS   += -Wall
CPPFLAGS += -I../include

ifeq ($(DEBUG),1)
	CFLAGS := -O0 -Wall -g
endif

ifeq ($(OS),Windows_NT)
	ifeq (,$(findstring CYGWIN,$(UNAME_S)))
		CPPFLAGS += -DWIN32
	else
		CPPFLAGS += -DCYGWIN
	endif
endif

ifeq ($(UNAME_S),Linux)
	LSB_RELEASE := $(shell lsb_release -si 2>/dev/null || echo not)
	ifneq ($(filter $(LSB_RELEASE),Debian Ubuntu LinuxMint CrunchBang),)
		CPPFLAGS += -I/usr/include/ncursesw
	endif
endif

all: $(OBJECTS)

clean:
	$(RM) $(OBJECTS)

=== debian/changelog ===
mdp-src (1.0.4-2) unstable; urgency=medium

  * Fix Vcs-Browser URL (thanks to Axel Beckert)
  * Add an upstream email, fix copyright notice
  * Fix override_dh_compress to exclude only sample.md
  * Add .PHONY to rules file

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 Jan 2016 16:18:52 +0500

mdp-src (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #808072)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 20 Dec 2015 13:07:29 +0100

## mdp-src 1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (C) 2015 Michael Goehler
+# Copyright (C) 2016 Michael Goehler
 #
 # This file is part of mdp.
 #

=== debian/changelog ===
mdp-src (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5
  * Adjust copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 07 Feb 2016 21:07:07 +0500

=== debian/control ===
Source: mdp-src
Section: misc
Priority: optional
Maintainer: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 9),
               libncursesw5-dev,
               libtinfo-dev,
               lsb-release
Standards-Version: 3.9.6
Homepage: https://github.com/visit1985/mdp
Vcs-Git: git://anonscm.debian.org/collab-maint/mdp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mdp.git

Package: mdp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncursesw5 (>= 6)
Description: command-line based Markdown presentation tool
 mdp is a command-line program that allows you to make elegant presentations
 from Markdown formatted files.
 .
 It is as easy as write your presentation content in the text editor of your
 preference and launch the presentation from the command-line.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PREFIX=/usr

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_compress:
	dh_compress -Xsample.md

.PHONY: override_dh_compress

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mdp-src-$1\.tar\.gz/ \
  https://github.com/visit1985/mdp/tags .*/?(\d\.\d.\d)\.tar\.gz

## mdp-src 1.0.6

=== debian/changelog ===
mdp-src (1.0.6-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.7
  * Imported Upstream version 1.0.6

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 05 Apr 2016 16:36:00 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libncursesw5-dev,
                libtinfo-dev,
                lsb-release
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/visit1985/mdp
 Vcs-Git: git://anonscm.debian.org/collab-maint/mdp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mdp.git

## mdp-src 1.0.7

=== debian/changelog ===
mdp-src (1.0.7-1) unstable; urgency=low

  * Use secure URL for Vcs-Git
  * Imported Upstream version 1.0.7
  * Bump Standards-Version to 3.9.8
  * Proper hardening=+all

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 29 Jun 2016 22:16:58 +0500

## mdp-src 1.0.8

=== debian/changelog ===
mdp-src (1.0.8-2) unstable; urgency=low

  * Fix reproducible issues. Thanks Reiner Herrmann for providing patch.

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 31 Oct 2016 21:37:12 +0500

mdp-src (1.0.8-1) unstable; urgency=medium

  * Imported Upstream version 1.0.8

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 24 Aug 2016 11:51:59 +0500

## mdp-src 1.0.9

=== debian/changelog ===
mdp-src (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Remove patch applied upstream

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 05 Nov 2016 22:17:33 +0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libncursesw5-dev,
                libtinfo-dev,
                lsb-release
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/visit1985/mdp
-Vcs-Git: git://anonscm.debian.org/collab-maint/mdp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mdp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mdp.git
 
 Package: mdp

## mdp-src 1.0.11

=== debian/changelog ===
mdp-src (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Migrate to debhelper 11
  * d/watch: Better handling of version numbers
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 04 Jan 2018 17:06:27 +0500

## mdp-src 1.0.12

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (C) 2015 Michael Goehler
+# Copyright (C) 2016 Michael Goehler
 #
 # This file is part of mdp.
 #

=== debian/changelog ===
mdp-src (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Jan 2018 18:04:35 +0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libncursesw5-dev,
                libtinfo-dev,
                lsb-release
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/visit1985/mdp
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mdp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mdp.git

## mdp-src 1.0.13

=== debian/changelog ===
mdp-src (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * d/control: Declare Standards-Version 4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Bump copyright years
  * d/copyright: Update GPL-3 notice (as it provided in the source code)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Jul 2018 12:44:09 +0500

mdp-src (1.0.12-2) unstable; urgency=medium

  * Use salsa.debian.org URLs in Vcs-{Git,Browser} fields
  * Declare Standards-Version 4.1.4 (no changes needed)
  * Remove explicit dependency on libncursesw5 (Closes: #897983)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 05 May 2018 19:17:42 +0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
                libncursesw5-dev,
                libtinfo-dev,
                lsb-release
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://github.com/visit1985/mdp
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mdp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mdp.git
+Vcs-Git: https://salsa.debian.org/debian/mdp.git
+Vcs-Browser: https://salsa.debian.org/debian/mdp
 
 Package: mdp
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libncursesw5 (>= 6)
+         ${misc:Depends}
 Description: command-line based Markdown presentation tool
  mdp is a command-line program that allows you to make elegant presentations
  from Markdown formatted files.

## mdp-src 1.0.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (C) 2016 Michael Goehler
+# Copyright (C) 2018 Michael Goehler
 #
 # This file is part of mdp.
 #
@@ -20,7 +20,7 @@
 
 UNAME_S := $(shell uname -s 2>/dev/null || echo not)
 
-SOURCES = $(wildcard src/*.c)
+SOURCES = $(sort $(wildcard src/*.c))
 OBJECTS = $(SOURCES:.c=.o)
 TARGET  = mdp
 DESTDIR =

=== debian/changelog ===
mdp-src (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Build-Depend on libncurses-dev instead of libncursesw5-dev

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 07 Oct 2018 10:38:49 +0500

mdp-src (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 04 Sep 2018 12:25:37 +0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
-               libncursesw5-dev,
+               libncurses-dev,
                libtinfo-dev,
                lsb-release
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://github.com/visit1985/mdp
 Vcs-Git: https://salsa.debian.org/debian/mdp.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mdp-src-$1\.tar\.gz/ \
  https://github.com/visit1985/mdp/tags .*/?(\d+\.\d+.\d+)\.tar\.gz

## mdp-src 1.0.18

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,13 @@
 TARGET  = mdp
 DESTDIR =
 PREFIX  ?= /usr/local
+BINDIR  ?= ${PREFIX}/bin
+MANDIR  ?= ${PREFIX}/share/man
 
 CURSES  = ncursesw
 LDFLAGS ?= -s
+CFLAGS   ?= -O3
+CFLAGS   += -Wall
 
 ifeq (Windows_NT,$(OS))
 	ifeq (,$(findstring CYGWIN,$(UNAME_S)))
@@ -41,7 +45,8 @@
 endif
 
 ifeq ($(DEBUG),1)
-	LDFLAGS :=
+	CFLAGS := -O0 -Wall -g
+	LDFLAGS := 
 endif
 
 LDLIBS   = -l$(CURSES)
@@ -49,7 +54,7 @@
 all: $(TARGET)
 
 $(TARGET): src
-	$(CC) $(OBJECTS) $(LDLIBS) $(LDFLAGS) -o $(TARGET)
+	$(CC) $(OBJECTS) $(LDLIBS) $(CFLAGS) $(LDFLAGS) -o $(TARGET)
 
 src:
 	$(MAKE) $(MFLAGS) -C src
@@ -59,12 +64,13 @@
 	$(RM) $(TARGET)
 
 install:
-	install -d $(DESTDIR)$(PREFIX)/bin
-	install -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin/$(TARGET)
-	install -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 mdp.1 $(DESTDIR)$(PREFIX)/share/man/man1/$(TARGET).1
+	install -d $(DESTDIR)$(BINDIR)
+	install -m 755 $(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
+	install -d $(DESTDIR)$(MANDIR)/man1
+	install -m 644 mdp.1 $(DESTDIR)$(MANDIR)/man1/$(TARGET).1
 
 uninstall:
-	$(RM) $(DESTDIR)$(PREFIX)/$(TARGET)
+	$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)
+	$(RM) $(DESTDIR)$(MANDIR)/man1/$(TARGET).1
 
 .PHONY: all clean install src uninstall

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (C) 2016 Michael Goehler
+# Copyright (C) 2018 Michael Goehler
 #
 # This file is part of mdp.
 #

=== debian/changelog ===
mdp-src (1.0.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.

  [ Lev Lamberov ]
  * New upstream version 1.0.18
  * d/control: Declare Standards-Version 4.7.2 (no changes needed)
  * d/control: Do not Build-Depend on libtinfo-dev
  * d/copyright: Bump copyright years
  * d/watch: Migrate to d/watch version 4

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Sep 2025 11:51:01 +0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
-               libtinfo-dev,
                lsb-release
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/visit1985/mdp
 Vcs-Git: https://salsa.debian.org/debian/mdp.git

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 export PREFIX=/usr
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://github.com/visit1985/mdp/tags .*/v?(\d.*)@ARCHIVE_EXT@
